diff options
Diffstat (limited to 'Makefile')
-rw-r--r-- | Makefile | 9 |
1 files changed, 0 insertions, 9 deletions
@@ -163,15 +163,6 @@ testGeantCoCo: if ! echo "$$mdui_PrivacyStatementURL" | grep -q 'xml:lang="en"' ; then \ echo " Missing PrivacyStatementURL in english"'' ; \ fi ; \ - echo "$$mdui_PrivacyStatementURL" | sed 's/></>\n</g' | sed 's/.*\ \(xml:lang=.*\)>\(.*\)<.*/\1 \2/' | while read lang url ; do \ - if grep -qx "$$x" sp-with-coco-errors ; then \ - echo " Known bad link to CoCo in PrivacyStatementURL: $$x" 1>&2 ; \ - else \ - if ! grep -q "$$url $$lang $$mdui_PrivacyStatementURL" sp-with-once-ok-coco-link ; then \ - curl -A 'Mozilla' -s -L -m 5 "$$url" < /dev/null | grep "https*://www.geant.net/uri/dataprotection-code-of-conduct/v1" > /dev/null && echo "$$url $$lang $$mdui_PrivacyStatementURL" >> sp-with-once-ok-coco-link || echo " Missing link to geant.net/code-of-conduct/v1 in PrivacyStatementURL $$lang ($$url)" ; \ - fi ; \ - fi ; \ - done ; \ fi ; \ fi ; \ requestedAttribute=`cat $$x | sed 's;\(</*\)[a-z0-9]*:;\1;g' | sed 's/xmlns="[^"]*"//' | xmllint --xpath "/EntityDescriptor/SPSSODescriptor/AttributeConsumingService/RequestedAttribute" - 2>/dev/null | grep 'RequestedAttribute'` ; \ |